Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface OrganizationQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  OrganizationQueryTypeImpl

    public interface OrganizationQueryType

extends RegistryObjectQueryType

A representation of the model object 'Organization Query Type'.

The following features are supported:

- `Address Filter`
- `Telephone Number Filter`
- `Email Addresse Filter`
- `Parent Query`
- `Child Organization Query`
- `Primary Contact Query`

See Also:
  `QueryPackage.getOrganizationQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAddressFilter()` Returns the value of the 'Address Filter' containment reference list.
`org.eclipse.emf.common.util.EList` | `getChildOrganizationQuery()` Returns the value of the 'Child Organization Query' containment reference list.
`org.eclipse.emf.common.util.EList` | `getEmailAddresseFilter()` Returns the value of the 'Email Addresse Filter' containment reference list.
`OrganizationQueryType` | `getParentQuery()` Returns the value of the 'Parent Query' containment reference.
`PersonQueryType` | `getPrimaryContactQuery()` Returns the value of the 'Primary Contact Query' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelephoneNumberFilter()` Returns the value of the 'Telephone Number Filter' containment reference list.
`void` | `setParentQuery(OrganizationQueryType value)` Sets the value of the '`Parent Query`' containment reference.
`void` | `setPrimaryContactQuery(PersonQueryType value)` Sets the value of the '`Primary Contact Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAddressFilter

    org.eclipse.emf.common.util.EList getAddressFilter()

  Returns the value of the 'Address Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Address Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Address Filter' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_AddressFilter()`

### getTelephoneNumberFilter

    org.eclipse.emf.common.util.EList getTelephoneNumberFilter()

  Returns the value of the 'Telephone Number Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Telephone Number Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number Filter' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_TelephoneNumberFilter()`

### getEmailAddresseFilter

    org.eclipse.emf.common.util.EList getEmailAddresseFilter()

  Returns the value of the 'Email Addresse Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Email Addresse Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email Addresse Filter' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_EmailAddresseFilter()`

### getParentQuery

    OrganizationQueryType getParentQuery()

  Returns the value of the 'Parent Query' containment reference.

  If the meaning of the 'Parent Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Query' containment reference.
  See Also:
    `setParentQuery(OrganizationQueryType)`, `QueryPackage.getOrganizationQueryType_ParentQuery()`

### setParentQuery

    void setParentQuery(OrganizationQueryType value)

  Sets the value of the '`Parent Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Parent Query' containment reference.
  See Also:
    `getParentQuery()`

### getChildOrganizationQuery

    org.eclipse.emf.common.util.EList getChildOrganizationQuery()

  Returns the value of the 'Child Organization Query' containment reference list. The list contents are of type `OrganizationQueryType`.

  If the meaning of the 'Child Organization Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Organization Query' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_ChildOrganizationQuery()`

### getPrimaryContactQuery

    PersonQueryType getPrimaryContactQuery()

  Returns the value of the 'Primary Contact Query' containment reference.

  If the meaning of the 'Primary Contact Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primary Contact Query' containment reference.
  See Also:
    `setPrimaryContactQuery(PersonQueryType)`, `QueryPackage.getOrganizationQueryType_PrimaryContactQuery()`

### setPrimaryContactQuery

    void setPrimaryContactQuery(PersonQueryType value)

  Sets the value of the '`Primary Contact Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Primary Contact Query' containment reference.
  See Also:
    `getPrimaryContactQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD